curl --request POST \
--url https://api-sandbox.rinne.com.br/core/v1/roles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "admin",
"permissions": [
"user.create",
"user.read",
"role.create"
],
"description": "Administrator role with full access",
"company_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"organization_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2794"
}
'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/roles"
payload = {
"name": "admin",
"permissions": ["user.create", "user.read", "role.create"],
"description": "Administrator role with full access",
"company_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"organization_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2794"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'admin',
permissions: ['user.create', 'user.read', 'role.create'],
description: 'Administrator role with full access',
company_id: 'a3dbd0c2-9f79-4f86-8caa-47779b3f2793',
organization_id: 'a3dbd0c2-9f79-4f86-8caa-47779b3f2794'
})
};
fetch('https://api-sandbox.rinne.com.br/core/v1/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"name": "admin",
"permissions": [
"user.create",
"user.read",
"role.create"
],
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z",
"description": "Administrator role with full access",
"company_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"organization_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2794"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "CONFLICT_ERROR",
"message": "A bank account with this account_number and ispb already exists",
"status": 409,
"details": {
"field": "account_number",
"value": "12345678"
},
"path": "/companies/bank-accounts",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Create a new role
Creates a new role with the provided name, permissions, and optional description
Authorizations
JWT token for user authentication
Body
Schema for creating a new role
Role name
1 - 100"admin"
Array of permission strings
1["user.create", "user.read", "role.create"]
Role description
500"Administrator role with full access"
Company ID for company-specific roles
"a3dbd0c2-9f79-4f86-8caa-47779b3f2793"
Organization role ID for role inheritance
"a3dbd0c2-9f79-4f86-8caa-47779b3f2794"
Response
Role created successfully
Role ID
"a3dbd0c2-9f79-4f86-8caa-47779b3f2793"
Role name
"admin"
Array of permission strings
["user.create", "user.read", "role.create"]
Creation timestamp
"2024-01-01T00:00:00.000Z"
Last update timestamp
"2024-01-01T00:00:00.000Z"
Role description
"Administrator role with full access"
Company ID for company-specific roles
"a3dbd0c2-9f79-4f86-8caa-47779b3f2793"
Organization role ID for role inheritance
"a3dbd0c2-9f79-4f86-8caa-47779b3f2794"

